import * as Client from 'fabric-client';
import { IEnrollmentRequest, IRegisterRequest } from 'fabric-ca-client';
import { ClientHelper, ClientConfig } from '@convector/convector-common-fabric-helper';
export declare type UserParams = IRegisterRequest;
export declare type AdminParams = IEnrollmentRequest;
export declare class Registry extends ClientHelper {
    config: ClientConfig;
    static create(config: ClientConfig): Promise<Registry>;
    static createFromFile(configPath: string): Promise<Registry>;
    constructor(config: ClientConfig);
    init(): Promise<void>;
    addAdmin(params: AdminParams, mspid: string): Promise<Client.User>;
    addUser(params: UserParams, adminUsername: string, mspid: string): Promise<Client.User>;
}
